It's all about the answers!

Ask a question

RTC Client Shell cross version compatibility


Luca Martinucci (1.0k284109) | asked Apr 15 '14, 6:03 a.m.
Is the RTC Client Shell forward compatible the with RTC server?
Specifically, is RTC Client Shell 4.0.4 compatible with RTC server 4.0.5?
I doubt that this is true, because I tried to connect to a RTC server 4.0.4 (successfully), and then I tried to connect to a RTC server 4.0.5, but I failed.

Accepted answer


permanent link
Krzysztof Ka┼║mierczyk (7.4k35399) | answered Apr 15 '14, 6:34 a.m.
edited Jun 02 '14, 4:29 a.m.
Hi Luca,
According to Client and server version compatibility document RTC Client Shell 4.0.4 is compatible with RTC server 4.0.5.

What is the error message when you are trying to connect to 4.0.5 server from 4.0.4 client?
Luca Martinucci selected this answer as the correct answer

Comments
Luca Martinucci commented Apr 15 '14, 7:49 a.m.

Krzysztof,

the error message just says that it is impossible to contact the repository.
Now I am going to install SCM shell 4.0.5 and try to connect to the 4.0.5 repository, in order to verify whether it is a network issue or a compatibility issue.


Luca Martinucci commented Apr 16 '14, 10:50 a.m.

The SCM shell 4.0.5 cannot connect to the 4.0.5 server neither.

Anyway, via browser I am able to connect to the 4.0.5 server.
Are there any shell configurations that I should check?
And what about firewalls? Any other ports to open?

Your answer


Register or to post your answer.